<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Actiuni intretinere baza de date';
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
if(isset($_GET['actiune']))
$actiune=$_GET['actiune'];
else
$actiune='';
if($actiune=='')
{
$form[0]=$_SERVER['REQUEST_URI'].'" method="get';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'Selecteaza actiune:<br />'.scris3('actiune','CHECK,,Verificare tabele::ANALYZE,,Analizeaza tabele::REPAIR,,Repara tabele::OPTIMIZE,,Optimizare tabele::FLUSH,,Curățare tabele','CHECK').$div[0];
$form[3]='actiune';
$form[4]='Actioneaza';
require'f_form.php';
echo$div[1].'Versiune client: '.$conn->get_client_info().$div[0].$div[1].'Versiune server: '.$conn->get_server_info().$div[0].$div[1].'Versiune protocol: '.$conn->protocol_version.$div[0].$div[1].'Host: '.$conn->host_info.$div[0].$div[1].$conn->stat.$div[0];
}
else
{
require'f_mut.php';
echo$div[1].'<ul>';
$interogare1=$conn->query('SHOW TABLES FROM '.$db[3]);
while($interogare2=$interogare1->fetch_row())
{
if($actiune=='CHECK'||$actiune=='ANALYZE'||$actiune=='REPAIR'||$actiune=='OPTIMIZE'||$actiune=='FLUSH')
{
if($actiune=='FLUSH')
$interogare3=$conn->query($actiune.' TABLE '.$interogare2[0]);
else
$interogare3=$conn->query($actiune.' TABLE '.$interogare2[0])->fetch_row();
if($interogare3)
{
if($actiune=='FLUSH')
$status='<strong> - </strong>status: OK';
else
$status='<strong> - </strong>status: '.$interogare3[3];
}
else
$status='<strong> - </strong>status: '.$conn->error;
}
else
$status='<strong> - </strong>HACKING esuat!';
echo'<li>'.$interogare2[0].$status.'</li>';
}
echo'</ul>'.$div[0];
}
require'f_jos.php';